org.apache.flume.instrumentation.util

## Class JMXPollUtil

- java.lang.Object
- - org.apache.flume.instrumentation.util.JMXPollUtil

-     public class JMXPollUtil
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMXPollUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Map<String,Map<String,String>>` | `getAllMBeans()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JMXPollUtil

          public JMXPollUtil()

  - ### Method Detail

    - #### getAllMBeans

          public static Map<String,Map<String,String>> getAllMBeans()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.